Farbeam
Docs / API: Chains

Asset prices

Returns the USD prices this service uses to value transfers. Source: CoinGecko, refreshed about once a minute.

GET/api/v1/prices
PropertyValue
AuthenticationOptional. A key raises your limit.
Rate-limit cost1 unit
StatusLive

#Request

curl -s "https://farbeamlabs.com/api/v1/prices"
const res = await fetch("https://farbeamlabs.com/api/v1/prices");
const { data, meta, error } = await res.json();
if (error) throw new Error(`${error.code}: ${error.message}`);
console.log(data);
import os, requests

res = requests.get(
    "https://farbeamlabs.com/api/v1/prices",
    timeout=30,
)
body = res.json()
if "error" in body:
    raise RuntimeError(body["error"]["code"])
print(body["data"])

You can send this request now in the API playground.

#Response

This response is real. It was captured from the running API when this page was built. Arrays are cut to two items.

JSON
{
  "data": {
    "ethereum": {
      "usd": 2410.37,
      "change_24h_pct": 5.31
    },
    "binancecoin": {
      "usd": 714.78,
      "change_24h_pct": 2.51
    },
    "polygon-ecosystem-token": {
      "usd": 0.095793,
      "change_24h_pct": 3.51
    },
    "solana": {
      "usd": 94.67,
      "change_24h_pct": 1.41
    },
    "usd-coin": {
      "usd": 0.999682,
      "change_24h_pct": 0.01
    },
    "tether": {
      "usd": 0.999365,
      "change_24h_pct": 0.02
    },
    "wrapped-bitcoin": {
      "usd": 79950,
      "change_24h_pct": 3.2
    },
    "dai": {
      "usd": 1,
      "change_24h_pct": 0.02
    },
    "jupiter-exchange-solana": {
      "usd": 0.25759,
      "change_24h_pct": 4.18
    },
    "bonk": {
      "usd": 3.03e-06,
      "change_24h_pct": 7.1
    },
    "dogwifcoin": {
      "usd": 0.171527,
      "change_24h_pct": -0.4
    },
    "jito-governance-token": {
      "usd": 0.359525,
      "change_24h_pct": 4.29
    },
    "pyth-network": {
      "usd": 0.065725,
      "change_24h_pct": 0.31
    },
    "raydium": {
      "usd": 1.74,
      "change_24h_pct": 11.62
    },
    "jito-staked-sol": {
      "usd": 123.8,
      "change_24h_pct": 1.37
    },
    "msol": {
      "usd": 133.97,
      "change_24h_pct": 1.44
    }
  },
  "meta": {
    "request_id": "req_74ce541efbe0",
    "as_of": "2026-11-04T20:10:50.215Z"
  }
}